OaIdl (JNA API)
Description: declaration: package: com.sun.jna.platform.win32, interface: OaIdl

Package com.sun.jna.platform.win32

# Interface OaIdl

public interface OaIdl
The Interface OaIdl.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Interface
  Description
  `static class`
  `OaIdl._VARIANT_BOOL`
  `static class`
  `OaIdl._VARIANT_BOOLByReference`
  `static class`
  `OaIdl.ARRAYDESC`
  `static class`
  `OaIdl.BINDPTR`
  `static class`
  `OaIdl.CALLCONV`
  `static class`
  `OaIdl.CURRENCY`
  `static class`
  `OaIdl.DATE`
  `static class`
  `OaIdl.DECIMAL`
  `static class`
  `OaIdl.DESCKIND`
  `static class`
  `OaIdl.DISPID`
  The Class DISPID.
  `static class`
  `OaIdl.DISPIDByReference`
  `static class`
  `OaIdl.ELEMDESC`
  `static class`
  `OaIdl.ElemDescArg`
  `static class`
  `OaIdl.EXCEPINFO`
  The Class EXCEPINFO.
  `static class`
  `OaIdl.FUNCDESC`
  `static class`
  `OaIdl.FUNCKIND`
  `static class`
  `OaIdl.HREFTYPE`
  `static class`
  `OaIdl.HREFTYPEByReference`
  `static class`
  `OaIdl.IDLDESC`
  `static class`
  `OaIdl.INVOKEKIND`
  `static class`
  `OaIdl.LIBFLAGS`
  `static class`
  `OaIdl.MEMBERID`
  `static class`
  `OaIdl.MEMBERIDByReference`
  `static class`
  `OaIdl.PARAMDESC`
  `static class`
  `OaIdl.PARAMDESCEX`
  `static class`
  `OaIdl.SAFEARRAY`
  Implementation of SAFEARRAY.
  `static class`
  `OaIdl.SAFEARRAYBOUND`
  `static class`
  `OaIdl.SAFEARRAYByReference`
  `static class`
  `OaIdl.ScodeArg`
  `static class`
  `OaIdl.SYSKIND`
  `static class`
  `OaIdl.TLIBATTR`
  `static class`
  `OaIdl.TYPEATTR`
  `static class`
  `OaIdl.TYPEDESC`
  `static class`
  `OaIdl.TYPEKIND`
  `static class`
  `OaIdl.VARDESC`
  `static class`
  `OaIdl.VARIANT_BOOL`
  `static class`
  `OaIdl.VARIANT_BOOLByReference`
  `static class`
  `OaIdl.VARKIND`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final long`
  `DATE_OFFSET`
  `static final OaIdl.DISPID`
  `DISPID_COLLECT`
  The Constant DISPID_COLLECT.
  `static final OaIdl.DISPID`
  `DISPID_CONSTRUCTOR`
  The Constant DISPID_CONSTRUCTOR.
  `static final OaIdl.DISPID`
  `DISPID_DESTRUCTOR`
  The Constant DISPID_DESTRUCTOR.
  `static final OaIdl.DISPID`
  `DISPID_EVALUATE`
  The Constant DISPID_EVALUATE.
  `static final OaIdl.DISPID`
  `DISPID_NEWENUM`
  The Constant DISPID_NEWENUM.
  `static final OaIdl.DISPID`
  `DISPID_PROPERTYPUT`
  The Constant DISPID_PROPERTYPUT.
  `static final OaIdl.DISPID`
  `DISPID_UNKNOWN`
  The Constant DISPID_UNKNOWN.
  `static final OaIdl.DISPID`
  `DISPID_VALUE`
  The Constant DISPID_VALUE.
  `static final int`
  `FADF_AUTO`
  An array that is allocated on the stack.
  `static final int`
  `FADF_BSTR`
  An array of BSTRs.
  `static final int`
  `FADF_DISPATCH`
  An array of IDispatch*.
  `static final int`
  `FADF_EMBEDDED`
  An array that is embedded in a structure.
  `static final int`
  `FADF_FIXEDSIZE`
  An array that may not be resized or reallocated.
  `static final int`
  `FADF_HAVEIID`
  An array that has an IID identifying interface.
  `static final int`
  `FADF_HAVEVARTYPE`
  An array that has a variant type.
  `static final int`
  `FADF_RECORD`
  An array that contains records.
  `static final int`
  `FADF_RESERVED`
  Bits reserved for future use.
  `static final int`
  `FADF_STATIC`
  An array that is statically allocated.
  `static final int`
  `FADF_UNKNOWN`
  An array of IUnknown*.
  `static final int`
  `FADF_VARIANT`
  An array of VARIANTs.
  `static final OaIdl.MEMBERID`
  `MEMBERID_NIL`

- ## Field Details

  - ### DATE_OFFSET

    static final long DATE_OFFSET

  - ### DISPID_COLLECT

    static final OaIdl.DISPID DISPID_COLLECT
    The Constant DISPID_COLLECT.

  - ### DISPID_CONSTRUCTOR

    static final OaIdl.DISPID DISPID_CONSTRUCTOR
    The Constant DISPID_CONSTRUCTOR.

  - ### DISPID_DESTRUCTOR

    static final OaIdl.DISPID DISPID_DESTRUCTOR
    The Constant DISPID_DESTRUCTOR.

  - ### DISPID_EVALUATE

    static final OaIdl.DISPID DISPID_EVALUATE
    The Constant DISPID_EVALUATE.

  - ### DISPID_NEWENUM

    static final OaIdl.DISPID DISPID_NEWENUM
    The Constant DISPID_NEWENUM.

  - ### DISPID_PROPERTYPUT

    static final OaIdl.DISPID DISPID_PROPERTYPUT
    The Constant DISPID_PROPERTYPUT.

  - ### DISPID_UNKNOWN

    static final OaIdl.DISPID DISPID_UNKNOWN
    The Constant DISPID_UNKNOWN.

  - ### DISPID_VALUE

    static final OaIdl.DISPID DISPID_VALUE
    The Constant DISPID_VALUE.

  - ### MEMBERID_NIL

    static final OaIdl.MEMBERID MEMBERID_NIL

  - ### FADF_AUTO

    static final int FADF_AUTO
    An array that is allocated on the stack.
    See Also:
      - Constant Field Values

  - ### FADF_STATIC

    static final int FADF_STATIC
    An array that is statically allocated.
    See Also:
      - Constant Field Values

  - ### FADF_EMBEDDED

    static final int FADF_EMBEDDED
    An array that is embedded in a structure.
    See Also:
      - Constant Field Values

  - ### FADF_FIXEDSIZE

    static final int FADF_FIXEDSIZE
    An array that may not be resized or reallocated.
    See Also:
      - Constant Field Values

  - ### FADF_RECORD

    static final int FADF_RECORD
    An array that contains records. When set, there will be a pointer to the IRecordInfo interface at negative offset 4 in the array descriptor.
    See Also:
      - Constant Field Values

  - ### FADF_HAVEIID

    static final int FADF_HAVEIID
    An array that has an IID identifying interface. When set, there will be a GUID at negative offset 16 in the safe array descriptor. Flag is set only when FADF_DISPATCH or FADF_UNKNOWN is also set.
    See Also:
      - Constant Field Values

  - ### FADF_HAVEVARTYPE

    static final int FADF_HAVEVARTYPE
    An array that has a variant type. The variant type can be retrieved with SafeArrayGetVartype.
    See Also:
      - Constant Field Values

  - ### FADF_BSTR

    static final int FADF_BSTR
    An array of BSTRs.
    See Also:
      - Constant Field Values

  - ### FADF_UNKNOWN

    static final int FADF_UNKNOWN
    An array of IUnknown*.
    See Also:
      - Constant Field Values

  - ### FADF_DISPATCH

    static final int FADF_DISPATCH
    An array of IDispatch*.
    See Also:
      - Constant Field Values

  - ### FADF_VARIANT

    static final int FADF_VARIANT
    An array of VARIANTs.
    See Also:
      - Constant Field Values

  - ### FADF_RESERVED

    static final int FADF_RESERVED
    Bits reserved for future use.
    See Also:
      - Constant Field Values